%global drupaldir %{_datadir}/drupal7

Name:    drupal7-views_bulk_operations
Version: 3.1
Release: 4%{?dist}
Summary: This module augments Views by allowing bulk operations to be executed

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/views_bulk_operations
Source0: http://ftp.drupal.org/files/projects/views_bulk_operations-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-views >= 3.0-0.1.rc1
Requires:  drupal7-entity >= 1.0-0.1.beta10
%description
This module augments Views by allowing bulk operations to be executed
on the nodes displayed by a view.
It does so by showing a check box in front of each node,
and adding a select box containing operations
that can be applied on the selected nodes.

%prep

%setup -qn views_bulk_operations

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/views_bulk_operations
cp -pr * %{buildroot}%{drupaldir}/modules/views_bulk_operations

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/views_bulk_operations
%exclude %{drupaldir}/modules/views_bulk_operations/*.txt

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 03 2012 Jared Smith <jsmith@fedoraproject.org> - 3.1-3
- Update to upstream 3.1 release
- Remove pre-release versioning from spec file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 12 2012 Jared Smith <jsmith@fedoraproject.org> - 3.0-0.1.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 3.0-0.1.beta3
- Initial packaging.
